Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform
Class HyperbolicTransformer

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.MutableTransformerDecorator
          edu.uci.ics.jung.visualization.transform.LensTransformer
              edu.uci.ics.jung.visualization.transform.HyperbolicTransformer

All Implemented Interfaces:
  ChangeEventSupport, MutableTransformer, ShapeTransformer, Transformer

Direct Known Subclasses:
  HyperbolicShapeTransformer

public class HyperbolicTransformer
extends LensTransformer
implements MutableTransformer

HyperbolicTransformer wraps a MutableAffineTransformer and modifies the transform and inverseTransform methods so that they create a fisheye projection of the graph points, with points near the center spread out and points near the edges collapsed onto the circumference of an ellipse. HyperBolicTransformer is not an affine transform, but it uses an affine transform to cause translation, scaling, rotation, and shearing while applying a non-affine hyperbolic filter in its transform and inverseTransform methods.

Author:
  Tom Nelson - RABA Technologies

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.visualization.transform.LensTransformer
`LensTransformer.ComponentListenerImpl, LensTransformer.PolarPoint`

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.transform.LensTransformer
`ellipse, magnification`

Fields inherited from class edu.uci.ics.jung.visualization.transform.MutableTransformerDecorator
`delegate`

Constructor Summary
`HyperbolicTransformer(Component component)` create an instance, setting values from the passed component and registering to listen for size changes on the component
`HyperbolicTransformer(Component component, MutableTransformer delegate)` create an instance with a possibly shared transform

Method Summary
`Point2D` | `inverseTransform(Point2D viewPoint)` override base class to un-project the fisheye effect
`Point2D` | `transform(Point2D graphPoint)` override base class transform to project the fisheye effect

Methods inherited from class edu.uci.ics.jung.visualization.transform.LensTransformer
`cartesianToPolar, cartesianToPolar, getDistanceFromCenter, getEllipse, getMagnification, getRatio, getViewCenter, getViewRadius, polarToCartesian, polarToCartesian, setEllipse, setMagnification, setToIdentity, setViewCenter, setViewRadius`

Methods inherited from class edu.uci.ics.jung.visualization.transform.MutableTransformerDecorator
`addChangeListener, concatenate, fireStateChanged, getChangeListeners, getDelegate, getRotation, getScale, getScaleX, getScaleY, getShearX, getShearY, getTransform, getTranslateX, getTranslateY, inverseTransform, preConcatenate, removeChangeListener, rotate, rotate, scale, setDelegate, setScale, setTranslate, shear, transform, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.MutableTransformer
`concatenate, getRotation, getScale, getScaleX, getScaleY, getShearX, getShearY, getTransform, getTranslateX, getTranslateY, preConcatenate, rotate, rotate, scale, setScale, setToIdentity, setTranslate, shear, translate`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.shape.ShapeTransformer
`inverseTransform, transform`

Methods inherited from interface edu.uci.ics.jung.utils.ChangeEventSupport
`addChangeListener, fireStateChanged, getChangeListeners, removeChangeListener`

Constructor Detail

### HyperbolicTransformer

    public HyperbolicTransformer(Component component)

  create an instance, setting values from the passed component and registering to listen for size changes on the component

Parameters:
  `component` -

### HyperbolicTransformer

    public HyperbolicTransformer(Component component,
                                 MutableTransformer delegate)

  create an instance with a possibly shared transform

Parameters:
  `component` -
  `delegate` -

Method Detail

### transform

    public Point2D transform(Point2D graphPoint)

  override base class transform to project the fisheye effect

  Specified by:
    `transform` in interface `Transformer`
  Specified by:
    `transform` in class `LensTransformer`

### inverseTransform

    public Point2D inverseTransform(Point2D viewPoint)

  override base class to un-project the fisheye effect

  Specified by:
    `inverseTransform` in interface `Transformer`
  Specified by:
    `inverseTransform` in class `LensTransformer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD